/*
 * GUI.h
 *
 *  Created on: 202369
 *      Author: Liminnan
 */

#ifndef LCD_GUI_GUI_H_
#define LCD_GUI_GUI_H_

#define  GBK24 Gui_DrawFont_GBK24
#define  GBK16 Gui_DrawFont_GBK16

u16  LCD_BGR2RGB(u16 c);
void Gui_Circle(u16 X, u16 Y, u16 R, u16 fc, u8 lineWidth);
void Gui_Ring(u16 X, u16 Y, u16 innerRadius, u16 outerRadius, u16 fc, u16 bc, u8 lineWidth);
void Gui_DrawLine(u16 x0, u16 y0, u16 x1, u16 y1, u16 Color, u8 lineWidth);
void Gui_box(u16 x, u16 y, u16 w, u16 h,u16 bc,u8 lineWidth);
void DisplayButtonDown(u16 x1,u16 y1,u16 x2,u16 y2);
void DisplayButtonUp(u16 x1,u16 y1,u16 x2,u16 y2);
void Gui_DrawFont_GBK12(u16 x, u16 y, u16 fc, u16 bc, u8 *s);
void Gui_DrawFont_GBK16(u16 x, u16 y, u16 fc, u16 bc, u8 *s);
void Gui_DrawFont_GBK24(u16 x, u16 y, u16 fc, u16 bc, u8 *s);
void Gui_DrawFont_Num32(u16 x, u16 y, u16 fc, u16 bc, u16 num) ;
void Gui_Printf(u16 x, u16 y, void *Font, u16 fc, u16 bc, const char *format, ...);
void Gui_ChangeBK_Test(void);
void Gui_ShowPicture(u16 x,u16 y,u16 length,u16 width,const u8 pic[]);
#endif /* LCD_GUI_GUI_H_ */
